#!/usr/bin/perl -w
# $Id: :sysreset:linkToWizard.pl,v 1.13.2.2 2002/03/16 01:44:23 pbaltz Exp $
# Copyright 2000-2002 Sun Microsystems, Inc., All rights reserved.

# use these two packages to make sure diretories needed exist
use lib qw(/usr/sausalito/perl);
use Sauce::Config;
use File::Path;
use Base::HomeDir qw(homedir_get_group_dir);

# default to assuming the existence of some home directory for use as the
# default since the qube puts the public server in /home/groups/home/web
# and raqs don't care
# temporary hack because get_group_dir hashes
my $default_webdir = '/home/sites/home/web';

# default welcome file, this should be product specific, so I'm assuming a standard name
my $welcome_file = '/intro';

my $fileName80 = "$default_webdir/index.html";
my $fileName81 = "/usr/sausalito/ui/web/index.html";

# need to make sure directories exists otherwise this won't work
mkpath($default_webdir, 0755) unless( -d $default_webdir );

mkpath("/usr/sausalito/ui/web", 1, 0755) unless(-d "/usr/sausalito/ui/web");

open(FILE, ">$fileName80")
    || die("Error: linkToWizard.pl: Cannot open file $fileName80\n");
print FILE <<END;
<HTML>
<HEAD>
<META HTTP-EQUIV="expires" CONTENT="-1">
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
</HEAD>
<BODY onLoad=\"location='http://'+location.host+':444/'\">
</BODY>
</HTML>
END
close(FILE);

# it is just a temporary file and everyone should be able to clean it up if
# it is left unclean
chmod(0644, $fileName80);

open(FILE, ">$fileName81")
    || die("Error: linkToWizard.pl: Cannot open file $fileName81\n");
print FILE <<END;
<HTML>
<HEAD>
<META HTTP-EQUIV="expires" CONTENT="-1">
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
</HEAD>
<BODY onLoad=\"location='$welcome_file'\">
</BODY>
</HTML>
END
close(FILE);

chmod(0644, $fileName81);

exit 0;
